Bug 1284388 - [docs] change link to htpasswd file
[docs] change link to htpasswd file
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Thien-Thi Nguyen
Evgheni Dereveanchin
Vikram Goyal
https://access.redhat.com/documentati...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 03:45 EST by Evgheni Dereveanchin
Modified: 2016-08-04 21:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 02:02:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgheni Dereveanchin 2015-11-23 03:45:48 EST
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/3.1/installation-and-configuration/chapter-2-installing#deploying-a-docker-registry

Section Number and Name: 
2.5.1. Overview

Describe the issue: 
the sample HTPASSWD configuration points at a file in /etc/openshift but this directory does not exist in OSEv3.1

Suggestions for improvement: 
Change it ho /etc/origin

Additional information: 

the specific line is as follows
# htpasswd /etc/openshift/openshift-htpasswd reguser
change it to
# htpasswd /etc/origin/openshift-htpasswd reguser
Comment 1 Thien-Thi Nguyen 2015-11-23 05:54:25 EST
BTW, this change was mentioned in the release notes:

 https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/release-notes/#ose-31-new-features-and-enhancements
Comment 2 Thien-Thi Nguyen 2015-11-23 06:01:37 EST
PR: https://github.com/openshift/openshift-docs/pull/1246
Comment 3 Evgheni Dereveanchin 2015-11-23 11:37:12 EST
Thanks for the quick reaction, that's exactly what I was asking for!

Note You need to log in before you can comment on or make changes to this bug.